Subject: Re: [PATCH net 1/5] net: netdevsim: fix inconsistent carrier state after link/unlink

From: Yohei Kojima <[email-masked]>
Date: Wed, 31 Dec 2025 03:44:13 +0900

On Tue, Dec 30, 2025 at 07:38:01PM +0100, Andrew Lunn wrote:
> > Sure, I've submitted the v2 patch here.
> > 
> > https://lore.kernel.org/netdev/[email-masked]/
> > 
> > Following your suggestion, I've removed the unrelated TFO tests and
> > the netdevsim test improvement. I will post the removed patches as a
> > separate series once net-next reopens.
> > 
> > However, I kept the regression test for this patch in the v2 series, as
> > the "1.5.10. Co-posting selftests" section in the maintainer-netdev
> > document says:
> 
> Thanks for doing this. I don't know enough about netdevsim to be able
> to do a proper review, so i will let somebody else do that.

Okay, thank you for the early review!

>    Andrew

Best regards,
Yohei Kojima